import { Component } from '@angular/core';
import {RouterModule, RouterOutlet} from '@angular/router';
import {LoginViewComponent} from "./components/login-view/login-view.component";
import {
  MitarbeiterverwaltungViewComponent
} from "./components/mitarbeiterverwaltung-view/mitarbeiterverwaltung-view.component";

import { NavigationBarComponent } from './components/navigation-bar/navigation-bar.component';
import { EmployeeDetailComponent } from './components/employee-detail/employee-detail.component';
import {
  MitarbeiterBearbeitenViewComponent
} from "./components/mitarbeiter-bearbeiten-view/mitarbeiter-bearbeiten-view.component";
import {
  QualifikatonBearbeitenViewComponent
} from "./components/qualifikaton-bearbeiten-view/qualifikaton-bearbeiten-view.component";
import {AppRoutingModule} from "./app-routing.module";
import {QualifikatonDetailComponent} from "./components/qualifikaton-detail/qualifikaton-detail.component";


@Component({
  selector: 'app-root',
  standalone: true,
  imports: [AppRoutingModule, RouterModule, RouterOutlet, NavigationBarComponent, EmployeeDetailComponent, LoginViewComponent, MitarbeiterverwaltungViewComponent, MitarbeiterBearbeitenViewComponent, QualifikatonBearbeitenViewComponent, QualifikatonDetailComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = 'employeeService';
}
